Skip to main content
GET
/
fills
Get your fills
curl --request GET \
  --url https://futures.kraken.com/derivatives/api/v3/fills \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "result": "success",
  "fills": [
    {
      "fill_id": "3d57ed09-fbd6-44f1-8e8b-b10e551c5e73",
      "symbol": "PF_XBTUSD",
      "side": "buy",
      "order_id": "693af756-055e-47ef-99d5-bcf4c456ebc5",
      "size": 5490,
      "price": 9400,
      "fillTime": "2020-07-22T13:37:27.077Z",
      "fillType": "maker"
    },
    {
      "fill_id": "56b86ada-73b0-454d-a95a-e29e3e85b349",
      "symbol": "PF_XBTUSD",
      "side": "buy",
      "order_id": "3f513c4c-683d-44ab-a73b-d296abbea201",
      "size": 5000,
      "price": 9456,
      "fillTime": "2020-07-21T12:41:52.790Z",
      "fillType": "taker"
    }
  ],
  "serverTime": "2020-07-22T13:44:24.311Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with at least read-only access

Authent
string
header
required

Authentication string

Query Parameters

lastFillTime
string

If not provided, returns the last 100 fills in any futures contract. If provided, returns the 100 entries before lastFillTime.

Response

200 - application/json
fills
object[]
required

A list containing structures with information on filled orders. The list is sorted descending by fillTime.

result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"